
GammaLib - Bug #1806

Example programs do not compile on Mac OS X because pkg-config is not found

06/23/2016 04:04 PM - Knödlseder Jürgen

Status: Closed Start date: 06/23/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.1.0   

Description

The example scripts do not compile on Mac OS X because pkg-config is not installed by default on that system. Earlier there was a

version of the Makefile that did not depend on pkg-config, and the code should revert to version that does not rely on pkg-config.

History

#1 - 06/24/2016 03:07 PM - Knödlseder Jürgen

- Subject changed from Example scripts do not compile on Mac OS X because pkg-config is not found to Example programs do not compile on Mac

OS X because pkg-config is not found

- Status changed from New to In Progress

- % Done changed from 0 to 90

The Makefile for the example programs are now generated by automake, and they are actually build when make is typed. This includes the building of

the programs in the continuous integration testing.

#2 - 06/24/2016 04:05 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Merged into devel
